<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Registration</title>
    <link rel="stylesheet" th:href="@{/webjars/bootstrap/4.0.0-2/css/bootstrap.min.css}">
</head>
<body>
<div class="container w-50">
    <form class="my-5" th:action="@{/new/user}" method="post" th:object="${userForm}">
        <div class="form-group">
            <label for="inputFirstname">Firstname: </label>
            <input type="text" class="form-control" id="inputFirstname" placeholder="Firstname" th:field="${userForm.firstname}">
            <p class="form-text text-muted text-danger"
               th:if="${#fields.hasErrors('firstname')}"
               th:errors="${userForm.firstname}"
            ></p>
        </div>
        <div class="form-group">
            <label for="inputLastname">Lastname: </label>
            <input type="text" class="form-control" id="inputLastname" placeholder="Lastname" th:field="${userForm.lastname}">
            <p class="form-text text-muted text-danger"
               th:if="${#fields.hasErrors('lastname')}"
               th:errors="${userForm.lastname}"
            ></p>
        </div>
        <div class="form-group">
            <label for="inputEmail">Email</label>
            <input type="text" class="form-control" id="inputEmail" placeholder="Email" th:field="*{email}">
            <p class="form-text text-muted text-danger"
               th:if="${#fields.hasErrors('email')}"
               th:errors="${userForm.email}"
            ></p>
        </div>
        <div class="form-group">
            <label for="inputPassword">Password</label>
            <input type="password" class="form-control" id="inputPassword" placeholder="Password"
                   th:field="*{password}">
            <p class="form-text text-muted text-danger"
               th:if="${#fields.hasErrors('password')}"
               th:errors="${userForm.password}"
            ></p>
        </div>
        <!--        <div class="form-group">-->
        <!--            <label class="form-check-label"><input type="checkbox"> Remember me</label>-->
        <!--        </div>-->
        <button type="submit" class="btn btn-primary">Sign in</button>
    </form>
</div>


<script th:src="@{/webjars/jquery/3.0.0/jquery.min.js}"></script>
<script th:src="@{/webjars/popper.js/1.12.9-1/umd/popper.min.js}"></script>
<script th:src="@{/webjars/bootstrap/4.0.0-2/js/bootstrap.min.js}"></script>

</body>
</html>